### Method

# WebKit Settings apply_from_key_file

since: 2.46

#### Declaration [src]

    gboolean
    webkit_settings_apply_from_key_file (
      WebKitSettings* settings,
      GKeyFile* key_file,
      const gchar* group_name,
      GError** error
    )

#### Description [src]

Reads the contents of the given `group_name` from the given `key_file` and apply the value of each key/value to the corresponding property on the `settings`.

Value types have to match with the corresponding setting property type and the group keys have to match existing setting property names. If those conditions are not met, the function will return `FALSE`.

Supported value types are strings (unquoted), booleans (0, 1, true, false) and unsigned integers.

Available since: 2.46

#### Parameters

`key_file`

  Type: `GKeyFile`

  A `GKeyFile`.

  The data is owned by the caller of the method.

`group_name`

  Type: `const gchar*`

  Name of the group to read from `key_file`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the settings were correctly applied or `FALSE` on error.